(function($) {

	var defOptions = {
		timeout: 1000
	};

	function ajaxsPlugin() {}
	ajaxsPlugin.prototype = {
		post: function(url, data, fun, err) {
			toReq("post", url, data, fun, err);
		},
		get: function(url, data, fun, err) {
			toReq("get", url, data, fun, err);
		},
		delete: function(url, data, fun, err) {
			toReq("delete", url, data, fun, err);
		},
		put: function(url, data, fun, err) {
			toReq("put", url, data, fun, err);
		},
		getApi:function(url, data, fun, err) {
			axios.get(url,{params:(data?data:{})} ).then(function(res) {
				if (fun) {
					fun(res.data)
				};
			}).catch(function(error) {
				if (err) {
					err(error);
				};
			});
		},
		postApi: function(url, data, fun, err) {
			axios.post(url, data).then(function(res) {
				if (fun) {
					fun(res.data)
				};
			}).catch(function(error) {
				if (err) {
					err(error);
				};
			});
		}
	}

	function toReq(method, url, data, fun, err) {
		/*var options = Object.assign({
			url: url,
			data: data,
			fun: fun,
			err: err,
		}, defOptions);*/
		var options={
			url: url,
			data: data,
			fun: fun,
			err: err,
			timeout: 30000
		};
		options.method = method;
		postAjax(options);
	}

	function postAjax(data) {
		axios.post('/api/postHandle/', {
			url: data.url,
			method: data.method,
			data: data.data ? data.data : {}
		}).then(function(res) {
			if (data.fun) {
				data.fun(res.data);
			}
		}).catch(function(error) {
			if (data.err) {
				data.err(error);
			}
			console.log(error);
		});
	}
	this.ajaxs = new ajaxsPlugin();
})(axios)
